Skip to main content
POST
/
api
/
v1
/
flow
/
{uuid}
/
steps
Add a step to a flow (trigger as step 1, actions as step 2+)
curl --request POST \
  --url https://{subdomain}.mihu.ai/api/v1/flow/{uuid}/steps \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "app_uid": "<string>",
  "trigger_key": "<string>",
  "action_key": "<string>",
  "app_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "config": {},
  "insert_after_step_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "parent_step_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://{subdomain}.mihu.ai/api/v1/flow/{uuid}/steps"

payload = {
"app_uid": "<string>",
"trigger_key": "<string>",
"action_key": "<string>",
"app_connection_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {},
"insert_after_step_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_step_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
app_uid: '<string>',
trigger_key: '<string>',
action_key: '<string>',
app_connection_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agent_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
config: {},
insert_after_step_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parent_step_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};

fetch('https://{subdomain}.mihu.ai/api/v1/flow/{uuid}/steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "position": 123,
    "parent_step_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "app": {
      "uid": "<string>",
      "name": "<string>",
      "icon": "<string>",
      "requires_connection": true
    },
    "trigger": {
      "key": "<string>",
      "name": "<string>"
    },
    "action": {
      "key": "<string>",
      "name": "<string>"
    },
    "agent": {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "app_connection": {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "label": "<string>"
    },
    "config": {},
    "last_test": {
      "data": {}
    }
  }
}
{
"success": false,
"message": "Agent not found",
"data": []
}
{
"success": false,
"message": "Agent not found",
"data": []
}
{
"success": false,
"message": "Agent not found",
"data": []
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required

Body

application/json
kind
enum<string>
required
Available options:
trigger,
action
app_uid
string
required

From GET /flow/apps.

trigger_key
string | null

Required when kind=trigger. From GET /flow/apps/{uid}/triggers.

action_key
string | null

Required when kind=action. From GET /flow/apps/{uid}/actions.

app_connection_uuid
string<uuid> | null

Required for connect-category apps; must be null for builtin apps.

agent_uuid
string<uuid> | null

Required for Agents-app actions.

config
object | null

Action/trigger-specific config. Use {{stepN.field}} to template values from upstream steps.

insert_after_step_uuid
string<uuid> | null

Insert mid-chain after this step. Subsequent steps shift up by 1; their {{stepN.field}} references are rewritten.

parent_step_uuid
string<uuid> | null

Use to nest this step as a branch child of an if_condition. Requires branch_key.

branch_key
enum<string> | null
Available options:
true,
false

Response

Created

data
object

One step of a flow. The first step in a flow is always a trigger (kind=trigger); subsequent steps are actions. Branch children (under an if_condition) appear flat in the parent flow's steps[] with parent_step_uuid + branch_key populated.